package com.tsi.api.server.controller.result;

import com.tsi.api.server.vo.VersionVo;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

@Setter
@Getter
@ToString
public class TscNaviApiResultAuthInfo extends AbstractTscSsipApiResult {

    private static final long serialVersionUID = 1L;

    private List<VersionVo> versions;

    public TscNaviApiResultAuthInfo(int status, String message) {
        super(status, message);
        this.versions = null;
    }

    public TscNaviApiResultAuthInfo(int status, String message, List<VersionVo> versionList) {
        super(status, message);
        this.versions = versionList;
    }

}
